Package: groovy.org.codenarc.report

## [Groovy] Class XmlReportWriter

- groovy.org.codenarc.report.XmlReportWriter

- ReportWriter that generates an XML report.

  Authors:
    Chris Mair

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractReportWriter` | `BASE_MESSAGES_BUNDLE, CODENARC_URL, CUSTOM_MESSAGES_BUNDLE, VERSION_FILE, customMessagesBundleName, getTimestamp, initializeResourceBundle, resourceBundle`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `defaultOutputFile`
    `String` | `title`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected def` | `buildFileElement(FileResults results)`
    `` | `protected def` | `buildMessageElement(Violation violation)`
    `` | `protected Map` | `buildPackageAttributeMap(def results)`
    `` | `protected def` | `buildPackageElement(def results)`
    `` | `protected def` | `buildPackageElements(def results)`
    `` | `protected def` | `buildProjectElement(AnalysisContext analysisContext)`
    `` | `protected def` | `buildReportElement()`
    `` | `protected def` | `buildRulesElement(AnalysisContext analysisContext)`
    `` | `protected def` | `buildSourceLineElement(Violation violation)`
    `` | `protected def` | `buildViolationElement(Violation violation)`
    `` | `protected def` | `cdata(String text)`
    `` | `protected boolean` | `isRoot(def results)`
    `` | `protected String` | `removeIllegalCharacters(String string)`
    `` | `void` | `writeReport(Writer writer, AnalysisContext analysisContext, Results results)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractReportWriter` | `getCodeNarcVersion, getDescriptionForRule, getFormattedTimestamp, getHtmlDescriptionForRule, getResourceBundleString, getSortedRules, initializeDefaultResourceBundle, isEnabled, writeReport, writeReport`

- - ### Property Detail

    - #### String defaultOutputFile

    - #### String title

  - ### Method Detail

    - #### protected def buildFileElement(FileResults results)

    - #### protected def buildMessageElement(Violation violation)

    - #### protected Map buildPackageAttributeMap(def results)

    - #### protected def buildPackageElement(def results)

    - #### protected def buildPackageElements(def results)

    - #### protected def buildProjectElement(AnalysisContext analysisContext)

    - #### protected def buildReportElement()

    - #### protected def buildRulesElement(AnalysisContext analysisContext)

    - #### protected def buildSourceLineElement(Violation violation)

    - #### protected def buildViolationElement(Violation violation)

    - #### protected def cdata(String text)

    - #### protected boolean isRoot(def results)

    - #### protected String removeIllegalCharacters(String string)

    - #### void writeReport(Writer writer, AnalysisContext analysisContext, Results results)